package cn.com.qmth.stmms.ms.core.domain.user;

import javax.persistence.Entity;
import javax.validation.constraints.NotNull;

/**
 * Created by yuanpan on 2017/10/13.
 */
@Entity
public class InspectUser extends AbstractUser {

    private static final long serialVersionUID = 1520626334734138538L;

    @NotNull
    private Long workId;

    @NotNull
    private Boolean allowSC;

    @NotNull
    private Boolean allowSM;

    @NotNull
    private Boolean allowSX;

    public InspectUser() {
    }

    public InspectUser(String loginName, String password, Long workId, Boolean allowSC, Boolean allowSM, Boolean allowSX) {
        super(loginName, password);
        this.workId = workId;
        this.allowSC = allowSC;
        this.allowSM = allowSM;
        this.allowSX = allowSX;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Boolean getAllowSC() {
        return allowSC;
    }

    public void setAllowSC(Boolean allowSC) {
        this.allowSC = allowSC;
    }

    public Boolean getAllowSM() {
        return allowSM;
    }

    public void setAllowSM(Boolean allowSM) {
        this.allowSM = allowSM;
    }

    public Boolean getAllowSX() {
        return allowSX;
    }

    public void setAllowSX(Boolean allowSX) {
        this.allowSX = allowSX;
    }
}
