package cn.com.qmth.stmms.ms.core.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import cn.com.qmth.stmms.ms.core.domain.Student;

import java.util.List;

/**
 * @author ting.yin
 * @date 2016年10月27日
 */
public interface StudentRepo extends JpaRepository<Student, Long>,JpaSpecificationExecutor<Student> {

	Student findByWorkIdAndExamNumber(Long workId, String examNumber);

	void deleteByWorkId(Long workId);

	List<Student> findByWorkId(Long workId);

}
